
From: Pavel Machek <pavel@ucw.cz>

Here are fixes for drivers/media.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/cinergyT2/cinergyT2.c |    2 +-
 25-akpm/drivers/media/video/meye.c              |    2 +-
 25-akpm/drivers/media/video/msp3400.c           |    4 ++--
 25-akpm/drivers/media/video/tda9887.c           |    2 +-
 25-akpm/drivers/media/video/tuner-core.c        |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/media/dvb/cinergyT2/cinergyT2.c~fix-u32-vs-pm_message_t-in-drivers-media drivers/media/dvb/cinergyT2/cinergyT2.c
--- 25/drivers/media/dvb/cinergyT2/cinergyT2.c~fix-u32-vs-pm_message_t-in-drivers-media	2005-04-07 18:33:00.000000000 -0700
+++ 25-akpm/drivers/media/dvb/cinergyT2/cinergyT2.c	2005-04-07 18:33:00.000000000 -0700
@@ -879,7 +879,7 @@ static void cinergyt2_disconnect (struct
 	kfree(cinergyt2);
 }
 
-static int cinergyt2_suspend (struct usb_interface *intf, u32 state)
+static int cinergyt2_suspend (struct usb_interface *intf, pm_message_t state)
 {
 	struct cinergyt2 *cinergyt2 = usb_get_intfdata (intf);
 
diff -puN drivers/media/video/meye.c~fix-u32-vs-pm_message_t-in-drivers-media drivers/media/video/meye.c
--- 25/drivers/media/video/meye.c~fix-u32-vs-pm_message_t-in-drivers-media	2005-04-07 18:33:00.000000000 -0700
+++ 25-akpm/drivers/media/video/meye.c	2005-04-07 18:33:00.000000000 -0700
@@ -1768,7 +1768,7 @@ static struct video_device meye_template
 };
 
 #ifdef CONFIG_PM
-static int meye_suspend(struct pci_dev *pdev, u32 state)
+static int meye_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	pci_save_state(pdev);
 	meye.pm_mchip_mode = meye.mchip_mode;
diff -puN drivers/media/video/msp3400.c~fix-u32-vs-pm_message_t-in-drivers-media drivers/media/video/msp3400.c
--- 25/drivers/media/video/msp3400.c~fix-u32-vs-pm_message_t-in-drivers-media	2005-04-07 18:33:00.000000000 -0700
+++ 25-akpm/drivers/media/video/msp3400.c	2005-04-07 18:33:00.000000000 -0700
@@ -1425,7 +1425,7 @@ static int msp_detach(struct i2c_client 
 static int msp_probe(struct i2c_adapter *adap);
 static int msp_command(struct i2c_client *client, unsigned int cmd, void *arg);
 
-static int msp_suspend(struct device * dev, u32 state, u32 level);
+static int msp_suspend(struct device * dev, pm_message_t state, u32 level);
 static int msp_resume(struct device * dev, u32 level);
 
 static void msp_wake_thread(struct i2c_client *client);
@@ -1833,7 +1833,7 @@ static int msp_command(struct i2c_client
 	return 0;
 }
 
-static int msp_suspend(struct device * dev, u32 state, u32 level)
+static int msp_suspend(struct device * dev, pm_message_t state, u32 level)
 {
 	struct i2c_client *c = container_of(dev, struct i2c_client, dev);
 
diff -puN drivers/media/video/tda9887.c~fix-u32-vs-pm_message_t-in-drivers-media drivers/media/video/tda9887.c
--- 25/drivers/media/video/tda9887.c~fix-u32-vs-pm_message_t-in-drivers-media	2005-04-07 18:33:00.000000000 -0700
+++ 25-akpm/drivers/media/video/tda9887.c	2005-04-07 18:33:00.000000000 -0700
@@ -740,7 +740,7 @@ tda9887_command(struct i2c_client *clien
 	return 0;
 }
 
-static int tda9887_suspend(struct device * dev, u32 state, u32 level)
+static int tda9887_suspend(struct device * dev, pm_message_t state, u32 level)
 {
 	dprintk("tda9887: suspend\n");
 	return 0;
diff -puN drivers/media/video/tuner-core.c~fix-u32-vs-pm_message_t-in-drivers-media drivers/media/video/tuner-core.c
--- 25/drivers/media/video/tuner-core.c~fix-u32-vs-pm_message_t-in-drivers-media	2005-04-07 18:33:00.000000000 -0700
+++ 25-akpm/drivers/media/video/tuner-core.c	2005-04-07 18:33:00.000000000 -0700
@@ -375,7 +375,7 @@ tuner_command(struct i2c_client *client,
 	return 0;
 }
 
-static int tuner_suspend(struct device * dev, u32 state, u32 level)
+static int tuner_suspend(struct device * dev, pm_message_t state, u32 level)
 {
 	struct i2c_client *c = container_of(dev, struct i2c_client, dev);
 	struct tuner *t = i2c_get_clientdata(c);
_
